<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
StringFindKeys Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : StringFindKeys Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI

bsKeySubString
  Text to search for

Starts an enumeration of all the key-value pairs whose string keys contain the specified text.

# Syntax

Visual Basic |
--- | ---

    Function StringFindKeys( _
       ByVal bsKeySubString As System.String _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 StringFindKeys(
       System.string bsKeySubString
    )

C++/CLI |
--- | ---

    IEdmPos5^ StringFindKeys(
    &   System.String^ bsKeySubString
    )

#### Parameters

bsKeySubString
  Text to search for

#### Return Value

IEdmPos5; position of the first key-value pair in the search result

# Example

Get and Set Dictionary Key-Value Pairs (VB.NET)
Get and Set Dictionary Key-Value Pairs (C#)

# Remarks

After calling this method, call IEdmDictionary5::StringGetNextAssoc repeatedly to enumerate the rest of the key-value pairs in the search result.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::LongFindKeys Method ()
IEdmDictionary5::LongFindValues Method ()
IEdmDictionary5::StringFindValues Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2